<!--
  @File Name          : listeprojet.html
  @Description        : 
  @Author             : ChangeMeIn@UserSettingsUnder.SFDoc
  @Group              : 
  @Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
  @Last Modified On   : 25/05/2020 à 18:06:01
  @Modification Log   : 
  Ver       Date            Author      		    Modification
  1.0    25/05/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->
<template>
   <!-- **************searchProjet******************** -->
    <lightning-layout>
        <lightning-layout-item padding="around-small">
            <div class="header-column">
                <p class="field-title" title="ProjetName">Nom Projet</p>
            </div>
            <lightning-input label="Name" name="Name" variant="label-hidden" onchange={handleNameserchChange} value={Name}></lightning-input>
        </lightning-layout-item>
        <lightning-layout-item padding="around-small">
            <div class="header-column">
                <p class="field-title" title="Type">Etat</p>
            </div>
            <lightning-combobox
                label="Etat"
                name="Etat"
                value={Etat__c}
                placeholder="Select Type"
                options={options}
                variant="label-hidden"
                onchange={handleEtat__cChange} ></lightning-combobox>
        </lightning-layout-item>
        <lightning-layout-item padding="around-small">
            <div class="header-column">
                <p class="field-title" title="Categorie">Categorie</p>
            </div>
            <lightning-input label="Categorie" name="Gat_gorie__c" variant="label-hidden" onchange={handleGat_gorie__cChange} value={Gat_gorie__c}></lightning-input>
        </lightning-layout-item>
        <lightning-layout-item padding="around-small">
            <lightning-button variant="search" label="Search" title="Search" onclick={handleSearch} class="slds-m-left_x-small"></lightning-button>
        </lightning-layout-item>
    </lightning-layout>
  <!-- bouton ajouter projet -->
  <lightning-button class="btt_ajouter" icon-name="utility:add" label="Ajouter projet" variant="brand" onclick={openmodal1} ></lightning-button>
  <template if:true={openmodel1}>
    <div class="demo-only"></div>
        <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
            <div class="slds-modal__container">
                <header class="slds-modal__header">
                    <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                        <lightning-icon icon-name="utility:close" size="medium">
                        </lightning-icon>
                        <span class="slds-assistive-text">Close</span>
                    </button>
                    <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Ajouter Un Projet</h2>
                </header>
                <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">
                  
  <table>
                    <tr>
                      <td>
                        <p>Nom de projet:</p>
                      </td>
                      <td>
                        <lightning-input type="text" label="" onchange={handleNamechange}  required ="required" value={ProjetRecord.Name} placeholder="type here..."></lightning-input>
                      </td>
                    </tr>
                    <TR></TR>
                    <tr>
                        <td>
                        <p>État de projet:</p>
                      </td>
                      <td>
                        <lightning-combobox name="Etat__c" 
                    
                        label=" " value={value} placeholder="-Select-"
                        options={pickListvalues} onchange={handleetatchange}>
                    </lightning-combobox>
                      </td>
                    </tr>
                    <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    <TR></TR>
                    <tr>
                      <td>
                        <p>Type:</p>
                      </td>
                      <td>
                        <lightning-combobox name="Type" 
                        label=" " value={value} placeholder="-Select-"
                        options={Type__c} onchange={handleTypechange}>
                    </lightning-combobox>
                      </td>
                    </tr>
                    <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    <TR></TR>
                    <tr>
                    <td>
                      <p>Catégorie:</p>
                    </td>
                    <td>
                      <lightning-input type="text" label="" onchange={handlecategoriechange}  value={ProjetRecord.Gat_gorie__c} placeholder="type here..."></lightning-input>
                    </td>
                  </tr>
                  <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    
                    <tr>
                      <td>
                        <p>
                          Priorité:
                        </p>
                      </td>
                      <td>
              <lightning-combobox name="Priorité" 
                  label=" " value={value} placeholder="-Select-"
                  options={pickListvaluesByRecordType} onchange={handlePrioritechange}>
              </lightning-combobox>
  
                      </td>
                    </tr>
                    <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                      <TR></TR>
                  <tr>
                  <td>
                    <p>Date de début:</p>
                  </td>
                  <td>
                    <lightning-input type="date" name="input1" label=" " onchange={handleDateDebutchange}  value={ProjetRecord.Date_Debut__c}  ></lightning-input>
                  </td>
                </tr>
                <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    <TR></TR>
              <tr>
              <td>
                <p>Date de fin:</p>
              </td>
              <td>
                <lightning-input type="date" name="input2" label=" " onchange={handleDatefinchange}  value={ProjetRecord.Date_fin__c} ></lightning-input>
              </td>
            </tr> 
                  </table>
                </div>
                <footer class="slds-modal__footer">
                    <lightning-button label="Annuler" variant="neutral" onclick={closeModal1}></lightning-button>&nbsp;&nbsp;&nbsp;&nbsp;
                    <lightning-button label="Enregistrer" variant="brand" onclick={saveMethod}></lightning-button>
                </footer>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </template>
    <div style="width: auto;
    margin-left:3%;">
      <!--Tableau de Projet-->
      <template if:true={data}>
        <template if:false={tableDisp}>
        <lightning-datatable data={data}
                            columns={columns}
                            key-field="id"
                            hide-checkbox-column="true"
                            onrowaction={handleRowActions}></lightning-datatable>
    </template>
  </template>

    <template if:true={tableDisp}>

        <lightning-datatable data={ProjectLists}
        columns={columnsSearch}
        key-field="id"
        hide-checkbox-column="true"
        onrowaction={handleRowActions}></lightning-datatable>
      
    </template>
  </div>
   <!-- Spinner -->
   <div if:true={showLoadingSpinner}>
    <lightning-spinner alternative-text="Loading" size="large"></lightning-spinner>
</div>

<!-- Detail view modal -->
<template if:true={bShowModal}>
    <section role="dialog" tabindex="-1"
            aria-labelledby="modal-heading-03"
            aria-modal="true"
            aria-describedby="modal-content-id-3"
            class="slds-modal slds-fade-in-open">
    <div class="slds-modal__container">
        <!-- modal header -->
        <header class="slds-modal__header">
            <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal1}>
                <lightning-icon icon-name="utility:close" alternative-text="close" variant="inverse" size="small" ></lightning-icon>
            </button>
            
            <h2 id="modal-heading-03" class="slds-text-heading_medium slds-hyphenate" if:false={isEditForm}>Record Detail</h2>
            <h2 id="modal-heading-02" class="slds-text-heading_medium slds-hyphenate" if:true={isEditForm}>Update Record Values</h2>
        </header>
        <!-- modal body -->
        <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-3" if:false={isEditForm}>
            <dl class="slds-list_horizontal slds-wrap">
                <dt class="slds-item_label slds-truncate" title="Nom de Projet">Nom de Projet:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Name}</dd>
                <dt class="slds-item_label slds-truncate" title="Categorie">Categorie:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Gat_gorie__c}</dd>
                <dt class="slds-item_label slds-truncate" title="Etat">Etat:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Etat__c}</dd>
                <dt class="slds-item_label slds-truncate" title="Type">Type:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Type__c}</dd> 
                <dt class="slds-item_label slds-truncate" title="Priorité">Priorité:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Priorit__c}</dd> 
                <dt class="slds-item_label slds-truncate" title="Date Debut">Date Debut:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Date_Debut__c}</dd>
                <dt class="slds-item_label slds-truncate" title="Date fin">Date fin:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Date_fin__c}</dd>

            </dl>
        </div>
        
        <!-- showing record edit form -->
        <div if:true={isEditForm} class="slds-theme_default">
            <lightning-record-edit-form layout-type="Full" record-id={currentRecordId} object-api-name="Projet__c" onsubmit={handleSubmit} onsuccess={handleSuccess}>
                <lightning-messages></lightning-messages>
                <lightning-output-field field-name="Name"></lightning-output-field>
                <lightning-input-field field-name="Gat_gorie__c"></lightning-input-field>
                <lightning-input-field field-name="Etat__c"></lightning-input-field>
                <lightning-input-field field-name="Type__c"></lightning-input-field>
                <lightning-input-field field-name="Priorit__c"></lightning-input-field>
                <lightning-input-field field-name="Date_Debut__c"></lightning-input-field>
                <lightning-input-field field-name="Date_fin__c"></lightning-input-field>
                <lightning-input-field field-name="Temps_Consome__c"></lightning-input-field>
                
                <br/>
                
                <div style="text-align:center;">
                    <lightning-button class="slds-m-top_small"
                                      variant="brand"
                                      type="submit"
                                      name="update"
                                      label="Update Record"></lightning-button>
                </div>
            </lightning-record-edit-form><br/>
            <div></div>
        </div>

        <!-- modal footer start-->
        <footer class="slds-modal__footer" if:false={isEditForm}>
            <lightning-button variant="brand"
                              label="Close"
                              title="Close"
                              onclick={closeModal}></lightning-button>
        </footer>
    </div>
    </section>
    <div class="slds-backdrop slds-backdrop_open"></div>
  

</template>


</template>